Page MenuHomePhabricator

Check “type” constraint on references?
Closed, ResolvedPublic

Description

In T175570: Don’t check some constraint types on non-statement contexts, I thought it didn’t make sense to check “type” constraints on qualifiers and references, so I disabled them.

Then, in T177388: Check “type” constraint on qualifiers and references, I noticed that it does make a lot of sense to check “type” constraints on qualifiers, so I enabled them again (on qualifiers and references).

And now, after seeing this in action on Wikidata, I’m considering whether I want to disable it again for references. The violations I’ve seen are properties like “title”, “publication date”, “ISSN”, which describe the work of the reference, not the main subject item (in cases where the reference doesn’t have an item of its own, e. g. a “reference URL” reference).

Are there any cases where “type” constraints do make sense in references? E. g. some property that should only be used in references for buildings?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2017, 9:19 AM
Lucas_Werkmeister_WMDE claimed this task.EditedNov 6 2017, 2:37 PM
Lucas_Werkmeister_WMDE moved this task from incoming to in progress on the Wikidata board.

Are there any cases where “type” constraints do make sense in references?

Even if there are, they would seem to be in the minority. Let’s kill these constraint checks for now, and perhaps the “scope” mechanism from T178295 can be used to resurrect them where necessary.

Change 389489 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Skip “type” constraints on references

https://gerrit.wikimedia.org/r/389489

Change 389489 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Skip “type” constraints on references

https://gerrit.wikimedia.org/r/389489

Lucas_Werkmeister_WMDE closed this task as Resolved.Nov 7 2017, 11:23 AM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.